---
triple:          'x86_64-apple-darwin'
binary-path:     '/Users/jenkins/workspace/Build_JDK27_x86-64_mac_Nightly/build/macosx-x86_64-server-release/support/test/hotspot/jtreg/native/lib/libiterobjreachobj005.dylib'
relocations:
  - { offsetInCU: 0x52, offset: 0x52, size: 0x8, addend: 0x0, symName: _nsk_jvmti_waitForSync, symObjAddr: 0x3980, symBinAddr: 0x1E60, symSize: 0x2A0 }
  - { offsetInCU: 0xAC8, offset: 0xAC8, size: 0x8, addend: 0x0, symName: _g_szTagInfo, symObjAddr: 0x50A80, symBinAddr: 0x7240, symSize: 0x0 }
  - { offsetInCU: 0xAEF, offset: 0xAEF, size: 0x8, addend: 0x0, symName: _g_tagFlags, symObjAddr: 0x529C0, symBinAddr: 0x9180, symSize: 0x0 }
  - { offsetInCU: 0xB11, offset: 0xB11, size: 0x8, addend: 0x0, symName: _g_tagVisitCount, symObjAddr: 0x52DB0, symBinAddr: 0x9570, symSize: 0x0 }
  - { offsetInCU: 0xB33, offset: 0xB33, size: 0x8, addend: 0x0, symName: _g_refsToVerifyCnt, symObjAddr: 0x53D50, symBinAddr: 0xA510, symSize: 0x0 }
  - { offsetInCU: 0xB48, offset: 0xB48, size: 0x8, addend: 0x0, symName: _g_refsToVerify, symObjAddr: 0x53D60, symBinAddr: 0xA520, symSize: 0x0 }
  - { offsetInCU: 0xBC3, offset: 0xBC3, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.0, symObjAddr: 0x506B0, symBinAddr: 0x70A0, symSize: 0x0 }
  - { offsetInCU: 0xBCE, offset: 0xBCE, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.1, symObjAddr: 0x506B4, symBinAddr: 0x70A4, symSize: 0x0 }
  - { offsetInCU: 0xBD9, offset: 0xBD9, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.2, symObjAddr: 0x506B8, symBinAddr: 0x70A8, symSize: 0x0 }
  - { offsetInCU: 0xC1E, offset: 0xC1E, size: 0x8, addend: 0x0, symName: __ZL7context, symObjAddr: 0x50800, symBinAddr: 0x70B0, symSize: 0x0 }
  - { offsetInCU: 0xC97, offset: 0xC97, size: 0x8, addend: 0x0, symName: __ZL17redefineAttempted, symObjAddr: 0x508B8, symBinAddr: 0x7168, symSize: 0x0 }
  - { offsetInCU: 0xCB5, offset: 0xCB5, size: 0x8, addend: 0x0, symName: __ZL15redefineSucceed, symObjAddr: 0x508BC, symBinAddr: 0x716C, symSize: 0x0 }
  - { offsetInCU: 0xCCE, offset: 0xCCE, size: 0x8, addend: 0x0, symName: __ZL11agentFailed, symObjAddr: 0x508C0, symBinAddr: 0x7170, symSize: 0x0 }
  - { offsetInCU: 0xCE7, offset: 0xCE7, size: 0x8, addend: 0x0, symName: __ZL18currentAgentStatus, symObjAddr: 0x508C4, symBinAddr: 0x7174, symSize: 0x0 }
  - { offsetInCU: 0xD00, offset: 0xD00, size: 0x8, addend: 0x0, symName: __ZL9jvmti_env, symObjAddr: 0x508C8, symBinAddr: 0x7178, symSize: 0x0 }
  - { offsetInCU: 0x92EF, offset: 0x92EF, size: 0x8, addend: 0x0, symName: __ZL10agent_data, symObjAddr: 0x508D0, symBinAddr: 0x7180, symSize: 0x0 }
  - { offsetInCU: 0x9378, offset: 0x9378, size: 0x8, addend: 0x0, symName: __ZL3jvm, symObjAddr: 0x508E0, symBinAddr: 0x7190, symSize: 0x0 }
  - { offsetInCU: 0x9391, offset: 0x9391, size: 0x8, addend: 0x0, symName: __ZL7jni_env, symObjAddr: 0x508E8, symBinAddr: 0x7198, symSize: 0x0 }
  - { offsetInCU: 0x93AA, offset: 0x93AA, size: 0x8, addend: 0x0, symName: __ZL15agentThreadProc, symObjAddr: 0x508F0, symBinAddr: 0x71A0, symSize: 0x0 }
  - { offsetInCU: 0x93C3, offset: 0x93C3, size: 0x8, addend: 0x0, symName: __ZL14agentThreadArg, symObjAddr: 0x508F8, symBinAddr: 0x71A8, symSize: 0x0 }
  - { offsetInCU: 0x93DC, offset: 0x93DC, size: 0x8, addend: 0x0, symName: __ZL11agentThread, symObjAddr: 0x50900, symBinAddr: 0x71B0, symSize: 0x0 }
  - { offsetInCU: 0x93F6, offset: 0x93F6, size: 0x8, addend: 0x0, symName: __ZL16checkStatus_func, symObjAddr: 0x50908, symBinAddr: 0x71B8, symSize: 0x0 }
  - { offsetInCU: 0x94DC, offset: 0x94DC, size: 0x8, addend: 0x0, symName: __ZL10objCounter, symObjAddr: 0x5094C, symBinAddr: 0x71CC, symSize: 0x0 }
  - { offsetInCU: 0x94F5, offset: 0x94F5, size: 0x8, addend: 0x0, symName: __ZL8st_jvmti, symObjAddr: 0x50950, symBinAddr: 0x71D0, symSize: 0x0 }
  - { offsetInCU: 0x950E, offset: 0x950E, size: 0x8, addend: 0x0, symName: __ZL11timer_info1, symObjAddr: 0x50958, symBinAddr: 0x71D8, symSize: 0x0 }
  - { offsetInCU: 0x9527, offset: 0x9527, size: 0x8, addend: 0x0, symName: __ZL5nanos, symObjAddr: 0x50978, symBinAddr: 0x71F8, symSize: 0x0 }
  - { offsetInCU: 0x9540, offset: 0x9540, size: 0x8, addend: 0x0, symName: __ZL11timer_info2, symObjAddr: 0x50980, symBinAddr: 0x7200, symSize: 0x0 }
  - { offsetInCU: 0x9559, offset: 0x9559, size: 0x8, addend: 0x0, symName: __ZL7timeout, symObjAddr: 0x509A0, symBinAddr: 0x7220, symSize: 0x0 }
  - { offsetInCU: 0x9572, offset: 0x9572, size: 0x8, addend: 0x0, symName: __ZL9user_data, symObjAddr: 0x509E0, symBinAddr: 0x7230, symSize: 0x0 }
  - { offsetInCU: 0x95C9, offset: 0x95C9, size: 0x8, addend: 0x0, symName: _nsk_vprintf, symObjAddr: 0x500, symBinAddr: 0xAE0, symSize: 0x80 }
  - { offsetInCU: 0x965E, offset: 0x965E, size: 0x8, addend: 0x0, symName: _nsk_printf, symObjAddr: 0x450, symBinAddr: 0xA30, symSize: 0xB0 }
  - { offsetInCU: 0x96B9, offset: 0x96B9, size: 0x8, addend: 0x0, symName: _nsk_ldisplay, symObjAddr: 0x330, symBinAddr: 0x930, symSize: 0x100 }
  - { offsetInCU: 0x994C, offset: 0x994C, size: 0x8, addend: 0x0, symName: _nsk_complain, symObjAddr: 0x580, symBinAddr: 0xB60, symSize: 0xC0 }
  - { offsetInCU: 0x999E, offset: 0x999E, size: 0x8, addend: 0x0, symName: _nsk_lvcomplain, symObjAddr: 0x640, symBinAddr: 0xC20, symSize: 0x220 }
  - { offsetInCU: 0x9B83, offset: 0x9B83, size: 0x8, addend: 0x0, symName: _nsk_lcomplain, symObjAddr: 0x860, symBinAddr: 0xE40, symSize: 0xA0 }
  - { offsetInCU: 0x9C36, offset: 0x9C36, size: 0x8, addend: 0x0, symName: _nsk_ltrace, symObjAddr: 0x920, symBinAddr: 0xEE0, symSize: 0x110 }
  - { offsetInCU: 0x9D2C, offset: 0x9D2C, size: 0x8, addend: 0x0, symName: _nsk_lverify, symObjAddr: 0xAC0, symBinAddr: 0xFF0, symSize: 0x150 }
  - { offsetInCU: 0x9E89, offset: 0x9E89, size: 0x8, addend: 0x0, symName: __Z14TranslateError10jvmtiError, symObjAddr: 0x1830, symBinAddr: 0x1140, symSize: 0x30 }
  - { offsetInCU: 0x9F32, offset: 0x9F32, size: 0x8, addend: 0x0, symName: __Z23nsk_jni_check_exceptionP7JNIEnv_PKci, symObjAddr: 0x1C40, symBinAddr: 0x1170, symSize: 0x150 }
  - { offsetInCU: 0xA12A, offset: 0xA12A, size: 0x8, addend: 0x0, symName: __Z15nsk_jni_lverifyiP7JNIEnv_iPKciS2_z, symObjAddr: 0x1D90, symBinAddr: 0x12C0, symSize: 0x160 }
  - { offsetInCU: 0xA3EA, offset: 0xA3EA, size: 0x8, addend: 0x0, symName: _nsk_jvmti_parseOptions, symObjAddr: 0x2220, symBinAddr: 0x1420, symSize: 0x4A0 }
  - { offsetInCU: 0xA65D, offset: 0xA65D, size: 0x8, addend: 0x0, symName: _nsk_jvmti_lverify, symObjAddr: 0x2970, symBinAddr: 0x18C0, symSize: 0x1B0 }
  - { offsetInCU: 0xA878, offset: 0xA878, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_ArgumentHandler_getAgentOptionsString, symObjAddr: 0x2B20, symBinAddr: 0x1A70, symSize: 0xA0 }
  - { offsetInCU: 0xA947, offset: 0xA947, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_redefineAttempted, symObjAddr: 0x2E90, symBinAddr: 0x1B10, symSize: 0x20 }
  - { offsetInCU: 0xA97E, offset: 0xA97E, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_isRedefined, symObjAddr: 0x2EB0, symBinAddr: 0x1B30, symSize: 0x20 }
  - { offsetInCU: 0xA9B5, offset: 0xA9B5, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_agentStatus, symObjAddr: 0x2ED0, symBinAddr: 0x1B50, symSize: 0x20 }
  - { offsetInCU: 0xAB24, offset: 0xAB24, size: 0x8, addend: 0x0, symName: _nsk_jvmti_resetAgentData, symObjAddr: 0x3610, symBinAddr: 0x1B70, symSize: 0x1A0 }
  - { offsetInCU: 0xAE40, offset: 0xAE40, size: 0x8, addend: 0x0, symName: _nsk_jvmti_createJVMTIEnv, symObjAddr: 0x37B0, symBinAddr: 0x1D10, symSize: 0x150 }
  - { offsetInCU: 0xAFFD, offset: 0xAFFD, size: 0x8, addend: 0x0, symName: _nsk_jvmti_resumeSync, symObjAddr: 0x3C20, symBinAddr: 0x2100, symSize: 0x1D0 }
  - { offsetInCU: 0xB2F9, offset: 0xB2F9, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_checkStatus, symObjAddr: 0x3DF0, symBinAddr: 0x22D0, symSize: 0x80 }
  - { offsetInCU: 0xB3C2, offset: 0xB3C2, size: 0x8, addend: 0x0, symName: __ZL18syncDebuggeeStatusP7JNIEnv_P9_jvmtiEnvi, symObjAddr: 0x3E70, symBinAddr: 0x2350, symSize: 0x6C0 }
  - { offsetInCU: 0xBF38, offset: 0xBF38, size: 0x8, addend: 0x0, symName: __ZN7JNIEnv_9NewObjectEP7_jclassP10_jmethodIDz, symObjAddr: 0xA590, symBinAddr: 0x3D50, symSize: 0xB0 }
  - { offsetInCU: 0xBFAF, offset: 0xBFAF, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_resetAgentData, symObjAddr: 0x4530, symBinAddr: 0x2A10, symSize: 0x70 }
  - { offsetInCU: 0xC0AF, offset: 0xC0AF, size: 0x8, addend: 0x0, symName: _nsk_jvmti_classBySignature, symObjAddr: 0x45A0, symBinAddr: 0x2A80, symSize: 0x3B0 }
  - { offsetInCU: 0xC527, offset: 0xC527, size: 0x8, addend: 0x0, symName: _MA_checkStatus, symObjAddr: 0x5280, symBinAddr: 0x2E30, symSize: 0xA0 }
  - { offsetInCU: 0xC606, offset: 0xC606, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetTags, symObjAddr: 0x60F0, symBinAddr: 0x2ED0, symSize: 0x40 }
  - { offsetInCU: 0xC6FC, offset: 0xC6FC, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_setTag, symObjAddr: 0x6130, symBinAddr: 0x2F10, symSize: 0x2B0 }
  - { offsetInCU: 0xCAA2, offset: 0xCAA2, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_getTag, symObjAddr: 0x63E0, symBinAddr: 0x31C0, symSize: 0xC0 }
  - { offsetInCU: 0xCBE8, offset: 0xCBE8, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetRefsToVerify, symObjAddr: 0x64A0, symBinAddr: 0x3280, symSize: 0x10 }
  - { offsetInCU: 0xCCAA, offset: 0xCCAA, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_addRefToVerify, symObjAddr: 0x64B0, symBinAddr: 0x3290, symSize: 0x240 }
  - { offsetInCU: 0xCF93, offset: 0xCF93, size: 0x8, addend: 0x0, symName: _Agent_OnLoad, symObjAddr: 0x9D10, symBinAddr: 0x34D0, symSize: 0x10 }
  - { offsetInCU: 0xCFF0, offset: 0xCFF0, size: 0x8, addend: 0x0, symName: _Agent_Initialize, symObjAddr: 0x9D20, symBinAddr: 0x34E0, symSize: 0x1F0 }
  - { offsetInCU: 0xD253, offset: 0xD253, size: 0x8, addend: 0x0, symName: _Agent_OnAttach, symObjAddr: 0x9F10, symBinAddr: 0x36D0, symSize: 0x10 }
  - { offsetInCU: 0xD330, offset: 0xD330, size: 0x8, addend: 0x0, symName: _objectReferenceCallback, symObjAddr: 0x9F20, symBinAddr: 0x36E0, symSize: 0x2F0 }
  - { offsetInCU: 0xD667, offset: 0xD667, size: 0x8, addend: 0x0, symName: __ZL9agentProcP9_jvmtiEnvP7JNIEnv_Pv, symObjAddr: 0xA210, symBinAddr: 0x39D0, symSize: 0x380 }
  - { offsetInCU: 0xDA74, offset: 0xDA74, size: 0x8, addend: 0x0, symName: __ZL18agentThreadWrapperP9_jvmtiEnvP7JNIEnv_Pv, symObjAddr: 0xA640, symBinAddr: 0x3E00, symSize: 0x36A }
...
